On Feb 22, 2008, at 7:23 PM, Christophe Combelles wrote:


It seems that the 'versions' information in a buildout has a priority over 'develop'?


What I wanted is to use the exact versions of the KGS:
extends = http://download.zope.org/zope3.4/versions.cfg
versions = versions

Then for a particular egg (say, z3c.menu), use a develop-egg instead:
develop = . z3c.menu

However the develop-egg is never used, because of the version information.

Shouldn't the 'develop' directive have a priority?

Martijn Faassen thinks so:


Despite my response to him, I'm not entirely sure. I'm curious what other people think,

Or is there another way to to what I want?

As you found out, you can simply override the version in your buildout/


Jim Fulton
Zope Corporation

Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope )

Reply via email to